import React from 'react'
import { ChakraProps, Box } from '@chakra-ui/core'

import { ReactComponent as LogoSVG } from '../images/header/logo.svg'

interface LogoProps {
  onClick?: () => void
}

const Logo: React.FC = (props) => {
  return <LogoSVG {...props} />
}

const StyledLogo: React.FC<ChakraProps & LogoProps> = (props) => {
  return <Box as={Logo} {...props} />
}

export default StyledLogo
