import React from 'react'
import { IconButton } from '@chakra-ui/react'
import { MdMenu, MdClose } from 'react-icons/md'

interface MenuButtonProps {
  isOpen?: boolean
  handleClick?: () => void
}

const MenuButton: React.FC<MenuButtonProps> = ({ handleClick, isOpen = false }) => {
  return (
    <IconButton
      onClick={handleClick}
      aria-label="Open menu"
      icon={!isOpen ? <MdMenu /> : <MdClose />}
      fontSize="2rem"
      mr="1rem"
      variant="ghost"
    />
  )
}

export default MenuButton
